%define pypi_name jupyter_core

Name:           jupyter-core
Version:        4.1.0
Release:        %mkrel 1
Group:          Development/Python
Summary:        Core common functionality of Jupyter projects (tools)

License:        BSD
URL:            http://jupyter.org/
Source0:        https://pypi.python.org/packages/source/j/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         0001-Use-setuptools-for-everything-so-the-python-Depends-.patch

BuildArch:      noarch
 
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:  pythonegg(3)(setuptools)
Requires:       python3-%{name} = %{version}-%{release}
Obsoletes:      %{pypi_name}


%description
This software component contains the base framework (application
classes and configurations) for the rest of the Jupyter projects ; it
doesn't do much by itself.

This package contains the migration tool (off IPython before 4.0)
and a path-giving utility.


%package -n     python2-%{name}
Summary:        Core common functionality of Jupyter projects for Python 2
Obsoletes:      python2-%{pypi_name}

%description -n python2-%{name}
This software component contains the base framework (application
classes and configurations) for the rest of the Jupyter projects ; it
doesn't do much by itself.

This package installs the library for Python 3.

%package -n     python3-%{name}
Summary:        Core common functionality of Jupyter projects for Python 3
Obsoletes:      python3-%{pypi_name}

%description -n python3-%{name}
This software component contains the base framework (application
classes and configurations) for the rest of the Jupyter projects ; it
doesn't do much by itself.

This package installs the library for Python 3.



%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%{_bindir}/jupyter
%{_bindir}/jupyter-migrate
%{_bindir}/jupyter-troubleshoot


%files -n python2-%{name}
%doc README.md
%license COPYING.md
%{python2_sitelib}/


%files -n python3-%{name}
%doc README.md
%license COPYING.md
%{python3_sitelib}/




%changelog
* Sun Apr 17 2016 philippem <philippem> 4.1.0-1.mga6
+ Revision: 1003255
- rename without underscore
- rename the package without underscore
- change source and url

* Sun Apr 17 2016 philippem <philippem> 4.1.0-1.mga6
+ Revision: 1003226
- imported package jupyter_core

